package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallAppGoods ;

/**
 * app商品Service接口
 * 
 * @author ruoyi
 * @date 2025-02-21
 */
public interface IMallAppGoodsService 
{
    /**
     * 查询app商品
     * 
     * @param id app商品主键
     * @return app商品
     */
    public MallAppGoods selectMallAppGoodsById(Long id);

    /**
     * 查询app商品列表
     * 
     * @param mallAppGoods app商品
     * @return app商品集合
     */
    public List<MallAppGoods> selectMallAppGoodsList(MallAppGoods mallAppGoods);

    /**
     * 新增app商品
     * 
     * @param mallAppGoods app商品
     * @return 结果
     */
    public int insertMallAppGoods(MallAppGoods mallAppGoods);

    /**
     * 修改app商品
     * 
     * @param mallAppGoods app商品
     * @return 结果
     */
    public int updateMallAppGoods(MallAppGoods mallAppGoods);

    /**
     * 批量删除app商品
     * 
     * @param ids 需要删除的app商品主键集合
     * @return 结果
     */
    public int deleteMallAppGoodsByIds(Long[] ids);

    /**
     * 删除app商品信息
     * 
     * @param id app商品主键
     * @return 结果
     */
    public int deleteMallAppGoodsById(Long id);

List<MallAppGoods> selectMallAppGoodsListByname(String name);
}
